using System;
using System.Web;
using System.Web.Profile;
using System.Web.SessionState;
using System.Web.UI;
using System.Xml;
using TaoBaoAPI;

namespace TaoHuoNet
{
    public partial class GoShop : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (base.Request["nick"] != null)
            {
                XmlNode xmlNode = TaoBaoShop.GetShopGet(Tools.dfObjectToStr(Utility.DecodingString(base.Request["nick"])));
                if (xmlNode != null)
                {
                    XmlNode xmlNode2 = TaoBaoKe.GetShopConvert(xmlNode["sid"].InnerText);
                    base.Response.Redirect(xmlNode2["click_url"].InnerText);
                }
                else
                {
                    base.Response.Redirect(base.Request.UrlReferrer.ToString());
                }
            }
        }
    }
}
